//
//  FirstViewController.m
//  上机3
//
//  Created by 宋橙 on 14-5-20.
//  Copyright (c) 2014年 Daniel Song. All rights reserved.
//

#import "FirstViewController.h"
#import "SecondViewController.h"
#import "Goods.h"

@interface FirstViewController ()

@end

@implementation FirstViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)createSQL
{
    self.dataWorker = [[GoodsSQL alloc] init];
    [self.dataWorker createDB];
    [self.dataWorker createTable:@"create table if not exists GoodsTable (name text, price text, unit text, number)"];
    
    NSArray *data = [self.dataWorker selectGoodsData];
    
    if (data.count == 0) {
        [self.dataWorker insertName:@"可乐" andPrice:@"3.0" andUnit:@"瓶" andNumber:@"5"];
        [self.dataWorker insertName:@"酸奶" andPrice:@"6.5" andUnit:@"瓶" andNumber:@"3"];
        [self.dataWorker insertName:@"面包" andPrice:@"9.9" andUnit:@"个" andNumber:@"1"];
        [self.dataWorker insertName:@"饼干" andPrice:@"5.5" andUnit:@"袋" andNumber:@"2"];
        data = [self.dataWorker selectGoodsData];
    }
    
    for (NSArray *array in data) {
        Goods *goods = [[Goods alloc] init];
        goods.name = [array objectAtIndex:0];
        goods.price = [array objectAtIndex:1];
        goods.unit = [array objectAtIndex:2];
        goods.number = [array objectAtIndex:3];
        [self.goodsData addObject:goods];
    }
}

-(void)makeData
{
    Goods *g1 = [[Goods alloc] init];
    g1.name = @"可乐";
    g1.price = @"3.0";
    g1.unit = @"瓶";
    g1.number = @"5";
    [self.goodsData addObject:g1];
    
    Goods *g2 = [[Goods alloc] init];
    g2.name = @"酸奶";
    g2.price = @"6.5";
    g2.unit = @"瓶";
    g2.number = @"3";
    [self.goodsData addObject:g2];
    
    Goods *g3 = [[Goods alloc] init];
    g3.name = @"面包";
    g3.price = @"9.9";
    g3.unit = @"个";
    g3.number = @"1";
    [self.goodsData addObject:g3];
    
    Goods *g4 = [[Goods alloc] init];
    g4.name = @"饼干";
    g4.price = @"5.5";
    g4.unit = @"袋";
    g4.number = @"2";
    [self.goodsData addObject:g4];

}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    self.title = @"您已购买的商品";
    
    self.goodsData = [NSMutableArray arrayWithCapacity:0];
    
//    [self makeData];
    
    [self createSQL];
    
    self.tableView = [[UITableView alloc] initWithFrame:CGRectMake(0, 0, 320, 480) style:UITableViewStylePlain];
    self.tableView.delegate = self;
    self.tableView.dataSource = self;
    [self.view addSubview:self.tableView];
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.goodsData.count;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *cellID = @"cellID";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellID];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:cellID];
    }

    Goods *goods = [self.goodsData objectAtIndex:indexPath.row];
    cell.textLabel.text = goods.name;
    
    NSString *subTitle = [NSString stringWithFormat:@"单价：%@元/%@  个数：%@", goods.price, goods.unit, goods.number];
    cell.detailTextLabel.text = subTitle;
    cell.detailTextLabel.textColor = [UIColor grayColor];
    
    return cell;
}

-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    Goods *goods = [self.goodsData objectAtIndex:indexPath.row];

    SecondViewController *secondVC = [[SecondViewController alloc] init];
    secondVC.goods = goods;
    
    [self.navigationController pushViewController:secondVC animated:YES];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
