//
//  GoodsSQL.m
//  上机3
//
//  Created by 宋橙 on 14-5-20.
//  Copyright (c) 2014年 Daniel Song. All rights reserved.
//

#import "GoodsSQL.h"

@implementation GoodsSQL

// 建库
- (BOOL)createDB
{
    // 获取路径
    NSArray *pathArray = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    
    NSString *path = [pathArray objectAtIndex:0];
    
    NSString *pathForSQL = [path  stringByAppendingPathComponent:@"mySQL.sql"];
    
    if (sqlite3_open([pathForSQL UTF8String], &sql) !=SQLITE_OK){
        sqlite3_close(sql);
        return NO;
    }
    return YES;
}

// 建表
- (BOOL)createTable :(NSString *)createsql
{
    sqlite3_stmt *stmt;
    if (sqlite3_prepare_v2(sql, [createsql UTF8String], -1, &stmt, nil) != SQLITE_OK)
        return NO;
    
    sqlite3_step(stmt);
    sqlite3_finalize(stmt);
    return YES;
}

// 表1添加数据
- (BOOL)insertName:(NSString *)name andPrice:(NSString *)price andUnit:(NSString *)unit andNumber:(NSString *)number
{
    char *insertSQL = "insert into GoodsTable (name,price,unit,number) values (?,?,?,?)";
    sqlite3_stmt *stmt;
    if (sqlite3_prepare_v2(sql, insertSQL, -1, &stmt, nil) != SQLITE_OK){
        return NO;
    }
    sqlite3_bind_text(stmt, 1, [name UTF8String], -1, SQLITE_TRANSIENT);
    sqlite3_bind_text(stmt, 2, [price UTF8String], -1, SQLITE_TRANSIENT);
    sqlite3_bind_text(stmt, 3, [unit UTF8String], -1, SQLITE_TRANSIENT);
    sqlite3_bind_text(stmt, 4, [number UTF8String], -1, SQLITE_TRANSIENT);
    sqlite3_step(stmt);
    sqlite3_finalize(stmt);
    return YES;
}

// 获取全部信息
- (NSMutableArray *)selectGoodsData
{
    char *selectSQL = "select * from GoodsTable";
    sqlite3_stmt *stmt;
    if (sqlite3_prepare_v2(sql, selectSQL, -1, &stmt, nil) != SQLITE_OK){
        return NO;
    }
    NSMutableArray *array = [NSMutableArray arrayWithCapacity:0];
    while (sqlite3_step(stmt) == SQLITE_ROW){
        NSString *name = [NSString stringWithCString:(char *)sqlite3_column_text(stmt, 0) encoding:NSUTF8StringEncoding];
        NSString *price = [NSString stringWithCString:(char *)sqlite3_column_text(stmt, 1) encoding:NSUTF8StringEncoding];
        NSString *unit = [NSString stringWithCString:(char *)sqlite3_column_text(stmt, 2) encoding:NSUTF8StringEncoding];
        NSString *number = [NSString stringWithCString:(char *)sqlite3_column_text(stmt, 3) encoding:NSUTF8StringEncoding];
        NSArray *arr = [NSArray arrayWithObjects:name, price, unit, number, nil];

        [array addObject:arr];
    }
    sqlite3_finalize(stmt);
    return array;
}

@end
